Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jvm.event
Class GarbageCollectionStrategyChangeEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.bea.jvm.event.GarbageCollectionStrategyChangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class GarbageCollectionStrategyChangeEvent
extends java.util.EventObject

Event delivered _after_ the GC has been changed.

Author:
  Marcus Hirt
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GarbageCollectionStrategyChangeEvent(java.lang.Object source, long time, GarbageCollectionStrategy previous, GarbageCollectionStrategy next)` Constructor.

Method Summary
`GarbageCollectionStrategy` | `getNext()` The GarbageCollectionStrategy that we're changing to.
`GarbageCollectionStrategy` | `getPrevious()` The GarbageCollectionStrategy that we're changing from.
`long` | `getTime()` Returns the time of the GarbageCollector change.
`java.lang.String` | `toString()`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GarbageCollectionStrategyChangeEvent

    public GarbageCollectionStrategyChangeEvent(java.lang.Object source,
                                                long time,
                                                GarbageCollectionStrategy previous,
                                                GarbageCollectionStrategy next)

  Constructor.

Parameters:
  `time` - the time of the change.

Method Detail

### getTime

    public long getTime()

  Returns the time of the GarbageCollector change.

  Returns:
    the time of the GarbageCollector change.

### getNext

    public GarbageCollectionStrategy getNext()

  The GarbageCollectionStrategy that we're changing to. Please observe that this Strategy may not be in effect until the next GC takes place.

  Returns:
    the GarbageCollectionStrategy that we're changing to.

### getPrevious

    public GarbageCollectionStrategy getPrevious()

  The GarbageCollectionStrategy that we're changing from.

  Returns:
    the GarbageCollectionStrategy that we're changing from.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.EventObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD